Subject: Re: [bug#41288] [PATCH] gnu: Add lib3ds.
From: Ludovic Courtès <[email-masked]>
To: Ekaitz Zarraga <[email-masked]>
Cc: [email-masked]
Date: Sat, 16 May 2020 19:31:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ekaitz Zarraga <[email-masked]> skribis:

> Added lib3ds as discussed here:
>
> https://issues.guix.gnu.org/40492
>
> I think everything is fine in the package but in building there are some messages about ldconfig not being available as we don't have it in guix. I checked that everything was installed correctly and it is but I'm not sure if that's going to have any other effect I didn't consider.

The ‘ldconfig’ messages from Libtool can be ignored; Guix doesn’t rely
on ‘ldconfig’.

>>From d295cb56c8ffa7df6a75ef9e97c6ba364d493405 Mon Sep 17 00:00:00 2001
> From: Ekaitz Zarraga <[email-masked]>
> Date: Fri, 15 May 2020 16:05:11 +0200
> Subject: [PATCH] gnu: Add lib3ds.
>
>     * gnu/packages/engineering.scm (lib3ds): New variable.

Applied with the changes below (the license is LGPLv2.1+ according to
source file headers; the home page change addresses a ‘guix lint’
warning).

Thanks,
Ludo’.

diff --git a/gnu/packages/engineering.scm b/gnu/packages/engineering.scm
index 9c66880e6f..37b42ca3f5 100644
--- a/gnu/packages/engineering.scm
+++ b/gnu/packages/engineering.scm
@@ -2597,10 +2597,9 @@ accessible through a simple API")
       (home-page "http://openctm.sourceforge.net/"))))
 
 (define-public lib3ds
-  (let ((version "1.3.0"))
   (package
     (name "lib3ds")
-      (version version)
+    (version "1.3.0")
     (source
      (origin
        (method url-fetch)
@@ -2612,9 +2611,9 @@ accessible through a simple API")
     (build-system gnu-build-system)
     (native-inputs
      `(("unzip" ,unzip)))
-      (home-page "http://lib3ds.sourceforge.net")
+    (home-page "https://code.google.com/archive/p/lib3ds")
     (synopsis "3DS format file toolkit")
     (description "Lib3ds is a toolkit for handling the 3DS format for 3D
 model files.  Its main goal is to simplify the creation of 3DS import and
 export filters.")
-      (license license:lgpl3+))))
+    (license license:lgpl2.1+)))